Dependency (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.Dependency interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface Dependency

All Superinterfaces:
  ModelObject, Relationship, java.io.Serializable

All Known Subinterfaces:
  IpDependency, ServiceDependency, SystemDependency, TransactionalDependency

    public interface Dependency

extends Relationship

Persistable:
  true

Method Summary
`Guid` | `getOriginalSource()`
`boolean` | `hasOriginalSource()`
`void` | `setOriginalSource(Guid s)`

Methods inherited from interface com.collation.platform.model.topology.core.Relationship
`getGenerated, getSource, getTarget, getType, hasGenerated, hasSource, hasTarget, hasType, setGenerated, setSource, setTarget, setType`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getOriginalSource

    Guid getOriginalSource()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOriginalSource

    void setOriginalSource(Guid s)

### hasOriginalSource

    boolean hasOriginalSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD